# Uses of Enum Class
javax.swing.plaf.nimbus.AbstractRegionPainter.PaintContext.CacheMode

Packages that use AbstractRegionPainter.PaintContext.CacheMode
Package
Description
javax.swing.plaf.nimbus
Provides user interface objects built according to the cross-platform Nimbus look and feel.

## Uses of AbstractRegionPainter.PaintContext.CacheMode in javax.swing.plaf.nimbus

Subclasses with type arguments of type AbstractRegionPainter.PaintContext.CacheMode in javax.swing.plaf.nimbus
Modifier and Type
Class
Description
`protected static enum`
`AbstractRegionPainter.PaintContext.CacheMode`
Cache mode.
Methods in javax.swing.plaf.nimbus that return AbstractRegionPainter.PaintContext.CacheMode
Modifier and Type
Method
Description
`static AbstractRegionPainter.PaintContext.CacheMode`
AbstractRegionPainter.PaintContext.CacheMode.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static AbstractRegionPainter.PaintContext.CacheMode[]`
AbstractRegionPainter.PaintContext.CacheMode.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Constructors in javax.swing.plaf.nimbus with parameters of type AbstractRegionPainter.PaintContext.CacheMode
Modifier
Constructor
Description
``
`PaintContext(Insets insets, Dimension canvasSize, boolean inverted, AbstractRegionPainter.PaintContext.CacheMode cacheMode, double maxH, double maxV)`
Creates a new PaintContext.